CheckstyleExtension (Gradle API 2.14.1)
Date: 2016-07-18

org.gradle.api.plugins.quality

## Class CheckstyleExtension

- java.lang.Object
- - groovy.lang.GroovyObjectSupport
  - - org.gradle.api.plugins.quality.CodeQualityExtension
    - - org.gradle.api.plugins.quality.CheckstyleExtension

- All Implemented Interfaces:
    GroovyObject

      public class CheckstyleExtension
      extends CodeQualityExtension

  Configuration options for the Checkstyle plugin.
  See Also:
    `CheckstylePlugin`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CheckstyleExtension(Project project)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TextResource` | `getConfig()` The Checkstyle configuration to use.
    `File` | `getConfigFile()` The Checkstyle configuration file to use.
    `Map<String,Object>` | `getConfigProperties()` The properties available for use in the configuration file.
    `boolean` | `getShowViolations()` Whether or not rule violations are to be displayed on the console.
    `boolean` | `isShowViolations()`
    `void` | `setConfig(TextResource config)`
    `void` | `setConfigFile(File configFile)` The Checkstyle configuration file to use.
    `void` | `setConfigProperties(Map<String,Object> configProperties)`
    `void` | `setShowViolations(boolean showViolations)`

    - ### Methods inherited from class org.gradle.api.plugins.quality.CodeQualityExtension

      `getIgnoreFailures, getReportsDir, getSourceSets, getToolVersion, isIgnoreFailures, setIgnoreFailures, setReportsDir, setSourceSets, setToolVersion`

    - ### Methods inherited from class groovy.lang.GroovyObjectSupport

      `getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CheckstyleExtension

          public CheckstyleExtension(Project project)

  - ### Method Detail

    - #### getConfigFile

          public File getConfigFile()

      The Checkstyle configuration file to use.

    - #### getConfig

          @Incubating
          public TextResource getConfig()

      The Checkstyle configuration to use. Replaces the `configFile` property.
      Since:
        2.2

    - #### setConfigFile

          public void setConfigFile(File configFile)

      The Checkstyle configuration file to use.

    - #### setConfig

          public void setConfig(TextResource config)

    - #### getConfigProperties

          public Map<String,Object> getConfigProperties()

      The properties available for use in the configuration file. These are substituted into the configuration file.

    - #### setConfigProperties

          public void setConfigProperties(Map<String,Object> configProperties)

    - #### isShowViolations

          public boolean isShowViolations()

    - #### getShowViolations

          public boolean getShowViolations()

      Whether or not rule violations are to be displayed on the console. Defaults to `true`. Example: showViolations = false

    - #### setShowViolations

          public void setShowViolations(boolean showViolations)